petsc-3.4.2 2013-07-02

# DMDASetFieldName

Sets the names of individual field components in multicomponent vectors associated with a DMDA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetFieldName(DM da,PetscInt nf,const char name[])

Not Collective

### Input Parameters

| da | - the distributed array
| nf | - field number for the DMDA (0, 1, ... dof-1), where dof indicates the number of degrees of freedom per node within the DMDA
| names | - the name of the field (component)

### Keywords

distributed array, get, component name

### See Also

DMDAGetFieldName(), DMDASetCoordinateName(), DMDAGetCoordinateName()

Level:intermediate
Location:src/dm/impls/da/dacorn.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex7.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/snes/examples/tutorials/ex4.c.html
src/snes/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex48.c.html